nxt.peer

## Class Hallmark

- java.lang.Object
- - nxt.peer.Hallmark

-     public final class Hallmark
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `formatDate(int date)`
    `static java.lang.String` | `generateHallmark(java.lang.String secretPhrase, java.lang.String host, int weight, int date)`
    `long` | `getAccountId()`
    `int` | `getDate()`
    `java.lang.String` | `getHallmarkString()`
    `java.lang.String` | `getHost()`
    `int` | `getPort()`
    `byte[]` | `getPublicKey()`
    `byte[]` | `getSignature()`
    `int` | `getWeight()`
    `boolean` | `isValid()`
    `static int` | `parseDate(java.lang.String dateValue)`
    `static Hallmark` | `parseHallmark(java.lang.String hallmarkString)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### parseDate

          public static int parseDate(java.lang.String dateValue)

    - #### formatDate

          public static java.lang.String formatDate(int date)

    - #### generateHallmark

          public static java.lang.String generateHallmark(java.lang.String secretPhrase,
                                                          java.lang.String host,
                                                          int weight,
                                                          int date)

    - #### parseHallmark

          public static Hallmark parseHallmark(java.lang.String hallmarkString)

    - #### getHallmarkString

          public java.lang.String getHallmarkString()

    - #### getHost

          public java.lang.String getHost()

    - #### getPort

          public int getPort()

    - #### getWeight

          public int getWeight()

    - #### getDate

          public int getDate()

    - #### getSignature

          public byte[] getSignature()

    - #### getPublicKey

          public byte[] getPublicKey()

    - #### getAccountId

          public long getAccountId()

    - #### isValid

          public boolean isValid()